Name:          jclouds
Version:       1.9.2
Release:       1%{?dist}
Summary:       Concurrent API for Cloud Services
License:       ASL 2.0
Url:           http://jclouds.apache.org/
Source0:       http://www.apache.org/dist/jclouds/stable/%{name}-%{version}-source-release.tar.gz
Patch0:        %{name}-1.9.1-snakeyaml1.16.patch
Patch1:        %{name}-1.9.1-sshj0.13.patch

BuildRequires: maven-local
BuildRequires: mvn(com.google.auto.service:auto-service)
BuildRequires: mvn(com.google.auto.value:auto-value)
BuildRequires: mvn(com.google.code.gson:gson)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.google.inject:guice)
BuildRequires: mvn(com.google.inject.extensions:guice-assistedinject)
BuildRequires: mvn(com.google.inject.extensions:guice-multibindings)
BuildRequires: mvn(com.jamesmurty.utils:java-xmlbuilder)
BuildRequires: mvn(com.jcraft:jsch)
BuildRequires: mvn(com.jcraft:jsch.agentproxy.connector-factory)
BuildRequires: mvn(com.jcraft:jsch.agentproxy.jsch)
BuildRequires: mvn(com.jcraft:jsch.agentproxy.sshj)
BuildRequires: mvn(com.squareup.okhttp:okhttp)
BuildRequires: mvn(io.netty:netty:3)
BuildRequires: mvn(javax.annotation:jsr250-api)
BuildRequires: mvn(javax.inject:javax.inject)
BuildRequires: mvn(javax.ws.rs:jsr311-api)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(net.schmizz:sshj)
BuildRequires: mvn(org.99soft.guice:rocoto)
BuildRequires: mvn(org.apache:apache:pom:)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.bouncycastle:bcpkix-jdk15on)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires: mvn(org.osgi:org.osgi.compendium)
BuildRequires: mvn(org.osgi:org.osgi.core)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.yaml:snakeyaml)

BuildArch:     noarch

%description
JClouds is an open source library that helps you get started in the
cloud and reuse your Java and Clojure development skills. JClouds
API allows you freedom to use portable abstractions or cloud
specific features. JClouds provides test support of 30 cloud providers and
cloud software stacks, including Amazon, GoGrid, Ninefold, vCloud,
OpenStack, and Azure.

%package skeletons
Summary:       Skeletons project

%description skeletons
JClouds example components for a standalone compute provider.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
# Cleanup
find -name '*.cmd' -print -delete

# org.yaml.snakeyaml.Loader's functionality was moved to org.yaml.snakeyaml.Yaml
%patch0 -p1
# Add support for sshj 0.13+
%patch1 -p1

%pom_remove_plugin -r :apache-rat-plugin

# Increase javadoc maxmemory
%pom_xpath_set pom:maxmemory 512m project
# Unavailable test deps
%pom_remove_dep com.squareup.okhttp:mockwebserver project
# org.assertj:assertj-core:1.6.1 org.assertj:assertj-guava:1.2.0
%pom_remove_dep org.assertj: project

# Unavailable plugins
%pom_remove_plugin :animal-sniffer-maven-plugin project
%pom_remove_plugin :emma-maven-plugin project
%pom_remove_plugin :findbugs-maven-plugin project
%pom_remove_plugin org.basepom.maven:duplicate-finder-maven-plugin project
%pom_remove_plugin org.gaul:modernizer-maven-plugin project
# Unneeded tasks
%pom_remove_plugin :maven-site-plugin project
%pom_remove_plugin :maven-pmd-plugin project
%pom_remove_plugin :maven-enforcer-plugin project
%pom_remove_plugin :maven-checkstyle-plugin project

# Used for testing only, currently is broken or no more available
%pom_remove_plugin -r :clojure-maven-plugin
%pom_remove_dep org.clojure:clojure project
%pom_remove_dep org.clojure:core.incubator project
%pom_remove_dep org.clojure:tools.logging project

# https://bugs.openjdk.java.net/browse/JDK-8067747
%pom_xpath_inject "pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration" \
 "<useIncrementalCompilation>false</useIncrementalCompilation>" project

# Depend on com.google.appengine appengine-api-1.0-sdk 1.6.5
%pom_disable_module gae drivers
# Use org.gaul:modernizer-maven-plugin:1.3.0
%pom_disable_module resources

%pom_disable_module chef apis
%pom_disable_module enterprisechef providers
%pom_remove_dep :chef all
%pom_remove_dep :enterprisechef all
rm -r scriptbuilder/src/main/java/org/jclouds/scriptbuilder/statements/git/InstallGit.java \
 scriptbuilder/src/main/java/org/jclouds/scriptbuilder/statements/java/InstallJDK.java \
 scriptbuilder/src/main/java/org/jclouds/scriptbuilder/statements/ruby/InstallRuby.java \
 scriptbuilder/src/main/java/org/jclouds/scriptbuilder/statements/ruby/InstallRubyGems.java \
 scriptbuilder/src/main/java/org/jclouds/scriptbuilder/statements/chef/ChefSolo.java \
 scriptbuilder/src/main/java/org/jclouds/scriptbuilder/statements/chef/InstallChefGems.java \
 scriptbuilder/src/main/java/org/jclouds/scriptbuilder/statements/chef/InstallChefUsingOmnibus.java \
 scriptbuilder/src/main/resources/functions/installGit.sh \
 scriptbuilder/src/main/resources/functions/installJDKFromURL.sh \
 scriptbuilder/src/main/resources/functions/installOpenJDK.sh \
 scriptbuilder/src/main/resources/functions/installRuby.sh

%pom_change_dep :log4j :log4j:1.2.17 drivers/log4j
%pom_change_dep :netty :netty:3 drivers/netty
# Depend on org.bouncycastle:bcprov-ext-jdk15on:1.49 
%pom_change_dep :bcprov-ext-jdk15on :bcprov-jdk15on drivers/bouncycastle

%mvn_package ":*skeletons*"   skeletons
%mvn_package ":servermanager" skeletons

%build

# Unavailable test deps:
#  com.squareup.okhttp:mockwebserver:2.2.0
#  org.jboss.shrinkwrap:shrinkwrap-depchain:1.2.0:pom
#  org.assertj:assertj-guava:1.2.0
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE NOTICE

%files skeletons -f .mfiles-skeletons
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Fri Feb 26 2016 gil cattaneo <puntogil@libero.it> 1.9.2-1
- update to 1.9.2

* Fri Aug 28 2015 gil cattaneo <puntogil@libero.it> 1.9.1-1
- update to 1.9.1

* Tue Mar 31 2015 gil cattaneo <puntogil@libero.it> 1.9.0-1
- update to 1.9.0

* Tue Feb 17 2015 gil cattaneo <puntogil@libero.it> 1.8.1-1
- update to 1.8.1

* Sun Jun 02 2013 gil cattaneo <puntogil@libero.it> 1.5.10-1
- update to 1.5.10

* Sat Dec 01 2012 gil cattaneo <puntogil@libero.it> 1.5.3-1
- initial rpm
